<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Unidad 6 | Animando un marcador </title>
    <!-- Leaflet -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.1/dist/leaflet.css" />
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <!-- Mini map -->
    <link rel="stylesheet" href="Leaflet-MiniMap/dist/Control.MiniMap.min.css">
    <!-- Leaflet.MousePosition -->
    <link rel="stylesheet" href="Leaflet.MousePosition/src/L.Control.MousePosition.css">
    <!-- Leaflet.awesome-markers -->
    <link rel="stylesheet" href="Leaflet.awesome-markers/dist/leaflet.awesome-markers.css">
    <!-- Leaflet.groupedlayercontrol -->
    <link rel="stylesheet" href="public/plugins/Leaflet.groupedlayercontrol/src/leaflet.groupedlayercontrol.css">
    <!-- ionicframework -->
    <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/1.5.2/css/ionicons.min.css">
    <!-- font-awesome -->
    <link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.css">


    <!-- Leaflet -->
    <script src="https://unpkg.com/leaflet@1.0.1/dist/leaflet.js"></script>
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
    <!-- Bootstrap -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <!-- Mini map -->
    <script src="Leaflet-MiniMap/dist/Control.MiniMap.min.js"></script>
    <!-- Leaflet.MousePosition -->
    <script src="Leaflet.MousePosition/src/L.Control.MousePosition.js" charset="utf-8"></script>
    <!-- leaflet-plugins -->
    <script src="leaflet-plugins/layer/tile/Bing.js" charset="utf-8"></script>
    <!-- API-KEY Google -->
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCo64rjBlRmgFCtMBZ4cdrj7xes8fS8qd0&libraries=places"></script>
    <!-- Leaflet.GoogleMutant -->
    <script src='https://unpkg.com/leaflet.gridlayer.googlemutant@latest/Leaflet.GoogleMutant.js'></script>
    <!-- Leaflet.awesome-markers -->
    <script src="Leaflet.awesome-markers/dist/leaflet.awesome-markers.js" charset="utf-8"></script>
    <!-- Leaflet.groupedlayercontrol -->
    <script src="public/plugins/Leaflet.groupedlayercontrol/src/leaflet.groupedlayercontrol.js"></script>
    <!-- Leaflet.AnimatedMarker -->
    <script src="public/plugins/Leaflet.AnimatedMarker/src/AnimatedMarker.js" charset="utf-8"></script>
    <!-- Leaflet.heat -->
    <script src="public/plugins/Leaflet.heat/dist/leaflet-heat.js" charset="utf-8"></script>
    <!-- Load Esri Leaflet from CDN -->
    <script src="https://unpkg.com/esri-leaflet@2.0.6"></script>
    <!-- Esri Leaflet Geocoder -->
    <link rel="stylesheet" href="https://unpkg.com/esri-leaflet-geocoder@2.2.3/dist/esri-leaflet-geocoder.css">
    <script src="https://unpkg.com/esri-leaflet-geocoder@2.2.3"></script>


    <style media="screen">
        body,
        html,
        #map {
            height: 100%;
            padding: 0;
            margin: 0;
        }
    </style>
</head>

<body>
    <section id="formulario">
        <p>Introduce los datos y haz clic en Aceptar.</p>
        <br><label for="calle">CALLE: </label>
        <input type="text" id="calle" />
        <br><label for="numero">NUMERO: </label>
        <input type="text" id="numero" />
        <br><label for="ciudad">CIUDAD: </label>
        <input type="text" id="ciudad" />
        <br><label for="pais">PAIS: </label>
        <input type="text" id="pais" />
        <button onclick="myFunction()">Aceptar</button>
    </section>
    <p id="demo"></p>
    <input type="button" value="Nueva busqueda" onclick="reset()">
    <div id='map'></div>
    <button onclick="start()">Start</button>
    <button onclick="stop()">Stop</button>

    <script type="text/javascript" src="mapas.js"></script>
    <script type="text/javascript" src="visor.js"></script>
    <!-- <script type="text/javascript" src="01_AnimatedMarker.js"></script> -->
    <!-- <script type="text/javascript" src="02_Leaflet.heat.js"></script> -->
    <script type="text/javascript" src="03_esri_geocoding.js"></script>
    <script type="text/javascript" src="05_formulario.js"></script>
</body>

</html>
